Subject: Re: [PATCH net 0/2] net: dsa: Avoid cross-chip syncing of VLAN filtering

From: Tobias Waldekranz <[email-masked]>
Date: Tue, 25 Jan 2022 20:05:45 +0100

On Tue, Jan 25, 2022 at 10:01, Jakub Kicinski <[email-masked]> wrote:
> On Mon, 24 Jan 2022 22:09:42 +0100 Tobias Waldekranz wrote:
>> This bug has been latent in the source for quite some time, I suspect
>> due to the homogeneity of both typical configurations and hardware.
>> 
>> On singlechip systems, this would never be triggered. The only reason
>> I saw it on my multichip system was because not all chips had the same
>> number of ports, which means that the misdemeanor alien call turned
>> into a felony array-out-of-bounds access.
>
> Applied, thanks, 934d0f039959 ("Merge branch
> 'dsa-avoid-cross-chip-vlan-sync'") in net-next.

Thank you! Is there a particular reason that this was applied to
net-next? I guess my question is really: will it still be considered for
upcoming stable kernel releases?